import 'package:flutter/material.dart';
import 'package:flutter_tracker/dio/api.dart';
import 'package:flutter_tracker/dio/remote_api.dart';
import 'package:shared_preferences/shared_preferences.dart';

class Config {
  static SharedPreferences pref;
  static bool isLogin = false;

  // 通过这个来控制全局环境变量
  static Api apiClient;

  static initConfig() async {
    if (pref == null) {
      pref = await SharedPreferences.getInstance();
    }
    if (apiClient == null) {
      apiClient = RemoteApi();
    }
  }
}

class ThemeColor {
  static const Color appBg = Color(0xfff5f6f7);
  static const Color appBarTopBg = Color(0xff00C2FD);
  static const Color appBarBottomBg = Color(0xff00C2FD);
  static const Color hintTextColor = Color(0xff333333);
  static const Color subTextColor = Color(0xff999999);
  static const Color starColor = Color(0xFFFFA516);
  static const Color loignColor = Color(0xFFFE976A);
}
